oStorybook

[fr]  Home  In progress  News  Downloads  Links  FAQ  Testimonials  Forum
Forum - English discussion - Topic #179

Topic #179 Running two versions
    - by DonEdwards 17/05/2020 23:34

Version 6 is not file-compatible with earlier versions, and I'm not seeing any sign of a conversion program (which would be a project on its own)...

So lots of people are going to need two versions.

Here's how to get both versions installed and running in Linux (Debian and derivatives - I don't have any other distributions on hand to look at):

1) clean out anything you've already done trying to get them both to work, aside from the downloaded .deb files
2) uninstall it: sudo apt-get remove ostorybook
3) install version 5: double-click on the version 5 install file, or sudo apt-get install {version 5 install file with path}
4) rename the folder /usr/share/ostorybook - I named it "ostorybook5"
5) edit the text file /usr/bin/ostorybook. It has a line that refers to /usr/share/ostorybook. Change that line to match the rename you just did. Save the file.
6) rename /usr/bin/ostorybook. Again, I named it "ostorybook5"
7) install version 6.

Now, by any of the usual methods, you can run either version 6 as "ostorybook" or version 5 as {whatever you renamed it to}. And yes you can run both simultaneously.

Answer n° 1
    - by favdb 19/05/2020 08:51

Thank you Don for these clear and detailed explanations.

The release of the 6 alpha version was intended in particular to validate the package process, especially for Windows and MacOS.

Indeed, since January I'm on the sixth reinstallation of my system on my new machine following a defective SSD.

On this occasion I realized several things about Java. Until now I hadn't realized that Oracle's development policy was inevitably leading to an overall depreciation. The current platform and the planned evolutions (a new version every 6 months) will lead everyone to system manipulations often out of reach of those who are not interested in "mechanics". So I decided to temporarily abandon version 6 and to make version 5 evolve by integrating a lot of what I developed, like the scenario mode and the Markdown.

This being said, I'm going to modify the code of version 6 to make a new software that will be able to cohabit with version 5. Please note that I already plan to integrate in version 5 what will convert the file to the new specifications. For the implementation it will be enough, from the last version 5, to make an export of the database in XML format.

To all, please do not use version 6 alpha to replace version 5.

Translated with www.DeepL.com/Translator (free version)

Back to the list of topics
Top

freeguppy.org © 2004-2015 More info ... Valid CSS 3

Document generated in 0.12 second